﻿@{
    ViewBag.Title = "View All Depts";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Edit Call On Doctors </h4>
            </div>
            <div class="modal-body">



                <form class="form-horizontal">
                    <div class="box-body">

                        <div class="form-group" style="display:none;">
                            <label for="inputDoctName" class="col-sm-2 control-label">Id</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="Deptid" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputDeptName" class="col-sm-2 control-label">Dept Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputDeptName" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputDeptFac" class="col-sm-2 control-label">Dept Faculity</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputDeptFac" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputDeptLoc" class="col-sm-2 control-label">Dept Location</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputDeptLoc" placeholder="Enter ...">
                            </div>
                        </div>
                        <!-- select Hospital ID -->
                        <div class="form-group">
                            <label for="InputHodpitalID" class="col-sm-2 control-label">Select Hospital ID</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputHodpitalID"></select>
                            </div>
                        </div>

                    </div>

                </form>



            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>


<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Department's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of Departments</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">               
                        <tr>
                            <th>Department Name</th>
                            <th>Address</th>
                            <th>Faculity</th>
                            <th>Hospital Name</th>
                            <th>Edit</th>
                            <th>Delete</th>
                       </tr>
                       
                    <tbody id="tbl"></tbody>
                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>
<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllDeptsData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#tbl').append(' <tr id=' + list[i].deptno + '><td>' + list[i].deptname + '</td><td>' + list[i].deploc + '</td><td>' + list[i].depfac + '</td><td>' + list[i].name + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].deptno + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].deptno + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>


<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetHopitalDept", "AHMS")',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.Hospita;
                    for (i = 0; i < list.length; i++) {
                        $('#InputHodpitalID').append('<option id=' + list[i].cstno + ' >' + list[i].name + '</option>');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

<script>
    function getUpdate(id) {
        alert(id);

        $('#' + id).each(function () {

            // do stuff for each td in here...
            debugger;
            //$('#inputDeptName').val($(this).find("td").eq(1).html());
            //$('#inputDeptFac').val($(this).find("td").eq(2).html());
            //$('#inputDeptLoc').val($(this).find("td").eq(3).html());
            var customerId = $(this).find("td").eq(2).html();





            $("#modal-default").modal("show");
        });


    }


</script>
<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteDeptData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>